Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractSpinBox.CorrectionMode

    java.lang.Object
      java.lang.Enum<QAbstractSpinBox.CorrectionMode>
          com.trolltech.qt.gui.QAbstractSpinBox.CorrectionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractSpinBox.CorrectionMode>

Enclosing class:
  QAbstractSpinBox

    public static enum QAbstractSpinBox.CorrectionMode

extends java.lang.Enum<QAbstractSpinBox.CorrectionMode>
implements QtEnumerator

This enum type describes the mode the spinbox will use to correct an Intermediate value if editing finishes.

See Also:
  `correctionMode`

Enum Constant Summary
`CorrectToNearestValue` The spinbox will revert to the nearest valid value.
`CorrectToPreviousValue` The spinbox will revert to the last valid value.

Method Summary
`static QAbstractSpinBox.CorrectionMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSpinBox.CorrectionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractSpinBox.CorrectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CorrectToPreviousValue

    public static final QAbstractSpinBox.CorrectionMode CorrectToPreviousValue

  The spinbox will revert to the last valid value.

### CorrectToNearestValue

    public static final QAbstractSpinBox.CorrectionMode CorrectToNearestValue

  The spinbox will revert to the nearest valid value.

Method Detail

### values

    public static final QAbstractSpinBox.CorrectionMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractSpinBox.CorrectionMode c : QAbstractSpinBox.CorrectionMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractSpinBox.CorrectionMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSpinBox.CorrectionMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD